|
From: <sv...@va...> - 2011-10-22 14:43:31
|
Author: bart
Date: 2011-10-22 15:38:47 +0100 (Sat, 22 Oct 2011)
New Revision: 12198
Log:
Revert r12195 because it triggers suspicious error messages on systems where
libtool has not been installed:
Can't exec "libtoolize": No such file or directory at /usr/bin/autoreconf line 196.
Use of uninitialized value in pattern match (m//) at /usr/bin/autoreconf line 196.
Modified:
trunk/autogen.sh
Modified: trunk/autogen.sh
===================================================================
--- trunk/autogen.sh 2011-10-22 13:45:49 UTC (rev 12197)
+++ trunk/autogen.sh 2011-10-22 14:38:47 UTC (rev 12198)
@@ -1,3 +1,17 @@
#!/bin/sh
-autoreconf -ivf
+run ()
+{
+ echo "running: $*"
+ eval $*
+
+ if test $? != 0 ; then
+ echo "error: while running '$*'"
+ exit 1
+ fi
+}
+
+run aclocal
+run autoheader
+run automake -a
+run autoconf
|